Pour être validée, votre inscription doit respecter le format suivant :

identifiant : prenom.nom
courriel : adresse académique ou collectivité

En vous remerciant pour votre participation.


Besoin d'aide ? Retrouvez l'aide en ligne sur le site de la DANE.
 
Avatar du membre
simon.bernard
Auteur du sujet
Messages : 398
Enregistré le : 23 sept. 2013 14:47

Extension pour LibreOffice : HistoireGeo (OooHG)

07 oct. 2016 14:16

Image

Extension : OooHG
Compatible XP : Oui
Compatible Win7 : Oui
Existe aussi sous Linux : Oui
Version : 9.12


OooHG n'est pas un logiciel mais un module complémentaire (ou extension / plug-in) pour LibreOffice orienté géographie.
Il contient un ensemble de cartes vectorielles à télécharger et de divers objets géographiques et historiques intégrés dans une "Galerie", il s’agit  donc d’une optimisation d’outils existants (Galerie LibreOffice et Module Dessin) afin de faciliter l’affichage, la modification, la construction de cartes et croquis, d'axes chronologiques. Un plugin conseillé pour les profs d'histoire/géo.

Pré-requis : Avoir LibreOffice, cf https://forum-dane.ac-lyon.fr/forum/vie ... =44&t=2325

<package
        id="LibO_OooHG"
        name="Extension HistoireGeo pour LibreOffice"
        revision="%version%.3"
        priority="1">
<variable name="version" value="9.12" />
<!-- version deployee de libreoffice -->
<!-- pour info 4.0 correspond à LibO4.0 et 4 correspond à LibO4.1, et 5 libo version 5 -->
<variable name="version_libreoffice" value="5.1" />
<!-- Telechargement et décompression -->
<eoledl dl="http://ooo.hg.free.fr/ooohg/ftp/ooohg_0912.zip" destname="libreoffice\ooohg\" unzip="1" />
 <variable name="PROGRAMFILES" value="%PROGRAMFILES%" architecture="x86"/>
 <variable name="PROGRAMFILES" value="%PROGRAMFILES(X86)%" architecture="x64"/>
 <variable name="ComSpec" value="%SystemRoot%\System32\cmd.exe" architecture="x86"/>
 <variable name="ComSpec" value="%SystemRoot%\SysWOW64\cmd.exe" architecture="x64"/>
<depends package-id="Libreoffice35" />
    <check type="file" condition="exists" path="%PROGRAMFILES%\LibreOffice %version_libreoffice%\share\gallery\Geo\Europe\1_EuroFond.gif" />
<install cmd='%COMSPEC% /C XCOPY "%PROGRAMFILES%\LibreOffice %version_libreoffice%\share\gallery\*" "%PROGRAMFILES%\LibreOffice %version_libreoffice%\share\gallery_defaut\*" /S /E /Y /Q /R' />
<install cmd='%COMSPEC% /C XCOPY "%SOFTWARE%\libreoffice\ooohg\*" "%PROGRAMFILES%\LibreOffice %version_libreoffice%\share\gallery\" /S /E /Y /Q /R' />

<upgrade cmd='%COMSPEC% /C XCOPY "%SOFTWARE%\libreoffice\ooohg\*" "%PROGRAMFILES%\LibreOffice %version_libreoffice%\share\gallery\" /S /E /Y /Q /R' />
  
<remove cmd='%COMSPEC% /C RMDIR /S /Q "%PROGRAMFILES%\LibreOffice %version_libreoffice%\share\gallery\"' />
<remove cmd='%COMSPEC% /C MOVE /Y "%PROGRAMFILES%\LibreOffice %version_libreoffice%\share\gallery_defaut" "%PROGRAMFILES%\LibreOffice %version_libreoffice%\share\gallery"' />
</package>


Le XML peut-être adapté à LibreOffice antérieur (3.5, 3.6 ou 4.0) en corrigeant le numéro de version de LibreOffice :

<variable name="version_libreoffice" value="4" />


Exemples :

Pour LibreOffice 3.6
<variable name="version_libreoffice" value="3.6" />


Pour LibreOffice 4.0
<variable name="version_libreoffice" value="4" />


Pour LibreOffice 5.0
<variable name="version_libreoffice" value="5" />


_____________________________
Sous ubuntu :
sudo apt install ooohg

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 10 invités